CREATE TABLE orders (
    id INTEGER PRIMARY KEY NOT NULL,
    manager_id INTEGER NULL DEFAULT NULL,
    status TEXT NOT NULL DEFAULT "new_order",
    profile_id INTEGER NOT NULL,
    account_id INTEGER NULL,
    company_id INTEGER NOT NULL,
    created_at INTEGER NULL,
    updated_at INTEGER NULL,
    closed_at INTEGER NULL DEFAULT NULL,
    sum REAL NOT NULL,
    comment TEXT NULL
);

CREATE TABLE products (
    id INTEGER PRIMARY KEY NOT NULL,
    name TEXT NULL DEFAULT NULL,
    type TEXT NOT NULL,
    description TEXT NULL DEFAULT NULL,
    cost REAL NOT NULL,
    online_payment INTEGER NOT NULL DEFAULT 0,
    active_from INTEGER NULL DEFAULT NULL,
    active_to INTEGER NULL DEFAULT NULL,
    company_id INTEGER NOT NULL,
    created_at INTEGER NULL,
    updated_at INTEGER NULL,
    deleted_at INTEGER NULL DEFAULT NULL,
    status TEXT NOT NULL
);

CREATE TABLE order_objects (
    id INTEGER PRIMARY KEY NOT NULL,
    order_id INTEGER NOT NULL,
    product_id INTEGER NOT NULL,
    category_id INTEGER NULL DEFAULT NULL,
    name TEXT NOT NULL,
    type TEXT NOT NULL,
    count INTEGER NOT NULL DEFAULT 0,
    cost REAL NOT NULL DEFAULT 0,
    sum REAL NOT NULL DEFAULT 0,
    final_sum REAL NOT NULL DEFAULT 0
);

DROP TABLE files;

CREATE TABLE crm_files (
    id TEXT PRIMARY KEY NOT NULL,
    name TEXT NULL DEFAULT NULL,
    path TEXT NULL DEFAULT NULL,
    item_id INTEGER NULL DEFAULT NULL,
    size REAL NULL DEFAULT NULL,
    company_id INTEGER NULL DEFAULT NULL,
    table_name TEXT NULL DEFAULT NULL,
    property TEXT NULL DEFAULT NULL
);

CREATE TABLE storage_files (
    id TEXT PRIMARY KEY NOT NULL,
    name TEXT NOT NULL,
    path TEXT NULL DEFAULT NULL,
    item_id INTEGER NULL DEFAULT NULL,
    size REAL NOT NULL DEFAULT NULL,
    company_id INTEGER NULL DEFAULT NULL,
    table_name TEXT NULL DEFAULT NULL,
    property TEXT NULL DEFAULT NULL,
    content_type TEXT NOT NULL
);

CREATE TABLE order_ghosts (
    order_id INTEGER PRIMARY KEY NOT NULL,
    status TEXT NOT NULL DEFAULT "new_order"
);

CREATE TABLE marketplace_settings (
    company_id INTEGER PRIMARY KEY NOT NULL,
    access INTEGER NOT NULL DEFAULT NULL
)